import java.util.*;
import java.text.*;

/*
 * Programma che richiede all'utente di inserire n vendite di
 * prodotti con le seguenti informazioni: 
 * mese della vendita (valore intero, si supponga corretto), 
 * descrizione, prezzo unitario, numero di pezzi.
 * La descrizione puo' avere i soli valori: matita, gomma, 
 * block notes (controllare l'input).
 * Il programma deve stampare a video l'importo totale delle vendite,
 * differenziate per descrizione, nel primo trimestre dell'anno e la
 * percentuale di vendita rispetto all'anno intero.
 * SEMPLIFICAZIONI: si supponga che venga inserita almeno una vendita per
 * ogni descrizione e che le date di vendita siano relative al medesimo
 * anno.
 * 
 */

public class VenditaProdotti{
	
	public static enum Descrizione{MATITA, GOMMA, BLOCK_NOTES};
	
	public static void main(String[] args){
		
		Descrizione descrizione;
		double prezzoUnitario;
		double totaleM_T=0, totaleG_T=0, totaleB_T=0;
		double totaleM_A=0, totaleG_A=0, totaleB_A=0;
		int n, mese, numPezzi;
		String descr;
		
		Scanner tastiera = new Scanner(System.in);
		DecimalFormat df = new DecimalFormat("0.0");
		System.out.print("Inserire il numero di vendite di prodotti: ");
		n = tastiera.nextInt();
		for(int i=1; i<=n; i++){
			System.out.print("Inserire il mese di vendita: ");
			mese = tastiera.nextInt();
			tastiera.nextLine();
			do{
				System.out.println("Inserire la descrizione (matita, gomma, block notes)");
				descr = tastiera.nextLine().toUpperCase();
			}while(!descr.equals("MATITA") && !descr.equals("GOMMA") && !descr.equals("BLOCK NOTES"));
			if(descr.equals("BLOCK NOTES"))
				descrizione = Descrizione.BLOCK_NOTES;
			else 
				descrizione = Descrizione.valueOf(descr);
			System.out.print("Prezzo: ");
			prezzoUnitario = tastiera.nextDouble();
			System.out.print("Numero di pezzi: ");
			numPezzi = tastiera.nextInt();
			switch(descrizione){
				case MATITA:
					switch(mese){
					case 1:
					case 2:
					case 3:
						totaleM_T += prezzoUnitario*numPezzi;
						break;
					default:
					}
					totaleM_A += prezzoUnitario*numPezzi;
					break;
				case GOMMA:
					switch(mese){
					case 1:
					case 2:
					case 3:
						totaleG_T += prezzoUnitario*numPezzi;
						break;
					default:
					}
					totaleG_A += prezzoUnitario*numPezzi;
					break;
				case BLOCK_NOTES:
					switch(mese){
					case 1:
					case 2:
					case 3:
						totaleB_T += prezzoUnitario*numPezzi;
						break;
					default:
					}
					totaleB_A += prezzoUnitario*numPezzi;
			}
		}
		System.out.println("Gli importi totali delle vendite per il primo trimestre sono: ");
		System.out.println("Matite: "+totaleM_T);
		System.out.println("Gomme: "+totaleG_T);
		System.out.println("Block notes: "+totaleB_T);
		System.out.println("Le percentuali di vendita rispetto all'anno sono: ");
		System.out.println("Matite: "+ df.format(totaleM_T/totaleM_A*100)+"%");
		System.out.println("Gomme: "+ df.format(totaleG_T/totaleG_A*100)+"%");
		System.out.println("Block notes: "+ df.format(totaleB_T/totaleB_A*100)+"%");
		tastiera.close();
	}
}
